/* signup input S */
.signup-input {
  position: relative;
  width: 100%;
  border-bottom: 1px solid #d9d9d9;
  padding-top: 10px;
  padding-bottom: 10px;
}
.signup-input__title {
  font-size: 13px;
  font-weight: 400;
  line-height: 15px;
  letter-spacing: -0.26px;
  text-align: left;
  color: #222222;
  margin-bottom: 10px;
  background: none;
  position: relative;
}
.signup-input__title_require {
  font-size: 13px;
  font-weight: 400;
  line-height: 15px;
  letter-spacing: -0.26px;
  text-align: center;
  color: #f33568;
  margin-left: 2px;
}

.signup-input__input-wrap{
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  letter-spacing: -0.3199999928474426px;
  text-align: left;
}

::placeholder{
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  letter-spacing: -0.3199999928474426px;
  text-align: left;
}
input{
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  letter-spacing: -0.3199999928474426px;
  text-align: left;
}


.signup-input__background {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #f8f8f8;
}
.signup-input input {
  font-size: 15px;
  font-weight: 400;
  line-height: 21px;
  letter-spacing: -0.32px;
  width: 100%;
  border: none;
  padding: 0 10px;
  background: none;
}
.signup-input__delete {
  display: none;
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  background: none;
  background-image: url(../img/x_icon.svg);
  background-repeat: no-repeat;
  background-size: 10px 10px;
  background-position: center center;
}
.signup-input__delete:after {
  display: block;
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  transform: rotateZ(90deg);
  width: 100%;
  height: 100%;
  background-image: url(../img/x_icon.svg);
  background-repeat: no-repeat;
  background-size: 10px 10px;
  background-position: center center;
}
.signup-input__delete.disabled{
  display: none;
}

input[type="text"]:not(:placeholder-shown) + .signup-input__delete {
  display: block; /* 입력값이 있는 경우 버튼을 보여줍니다. */
}
input[type="text"]:not(:placeholder-shown) + .signup-input__delete.disabled {
  display: none; /* 입력값이 있는 경우 버튼을 보여줍니다. */
}


input[type="password"]:not(:placeholder-shown) + .signup-input__delete {
  display: block; /* 입력값이 있는 경우 버튼을 보여줍니다. */
}

.signup-input__delete readonly {
  display: none;
}

.signup-input--fill {
  border-bottom: 1px solid #222222;
}
.signup-input--fill .signup-input__delete {
  display: block;
}
.signup-input--fill .signup-input__background {
  display: block;
}
.signup-input__auth-send .signup-input__delete {
  right: 100px;
  padding-bottom: 0px;
}
.signup-input__gender {
  display: flex;
  border: none;
}
.signup-input__gender-checkbox-wrap {
  margin-left: 30px;
}

.signup-input__gender-checkbox-wrap label {
  font-size: 14px;
  font-weight: 500;
  line-height: 16px;
  letter-spacing: -0.28px;
  color: #222222;
  position: relative;
  padding-left: 25px;
  padding-right: 10px;
}
.signup-input__gender-checkbox-wrap label:before {
  content: url(../img/square_check.svg);
  position: absolute;
  left: 0;
  bottom: -2px;
}
.signup-input__gender-checkbox-wrap label:before {
  content: url(../img/square_check.svg);
  position: absolute;
  left: 0;
  bottom: -2px;
  padding-right: 10px;
}
.signup-input__gender-checkbox-wrap input {
  display: none;
}
.signup-input__gender-checkbox-wrap input:checked + label:before {
  content: url(../img/square_checked.svg);
}
.signup-input__gender-checkbox-wrap input:checked:-moz-read-only + label:before {
  content: url(../img/square_checked.svg);
}
.signup-input__gender-checkbox-wrap input:checked:read-only + label:before {
  content: url(../img/square_checked.svg);
}
.signup-input__gender-checkbox-wrap.disabled input:checked:read-only + label:before {
  content: url(../img/square_checked_disable.svg);
}

.signup-input__gender-wrap {
  display: flex;
}
.signup-input__auth {
  position: relative;
  display: flex;
}
.signup-input__auth .signup-input__delete {
  right: 110px;
}
.signup-input__auth-send {
  font-size: 12px;
  font-weight: 600;
  line-height: 20px;
  text-align: center;
  letter-spacing: 0.1px;
  color: #ffffff;
  flex-shrink: 0;
  border-radius: 20px;
  width: 100px;
  height: 24px;
  background-color: #d9d9d9;
}

.signup-input__auth-send:hover {
  background-color: #00a6cc;
}
.signup-input__selectbox {
  position: relative;
  width: 100%;
}
.signup-input__selectbox input {
  display: none;
}
.signup-input__selectbox-btn {
  font-size: 14px;
  font-weight: 400;
  line-height: 18px;
  letter-spacing: -0.32px;
  color: #aaaaaa;
  position: relative;
  display: flex;
  justify-content: left;
  align-items: center;
  height: 48px;
  width: 100%;
  padding: 0 10px;
  border-bottom: 1px solid #d9d9d9;
  background-color: #ffffff;

}
.signup-input__selectbox-btn:after {
  content: url(../img/down.svg);
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  opacity: 0.7;
}
.signup-input__selectbox-list {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #ffffff;
  width: 100%;
  max-height: 478px;
  overflow-y: scroll;
  z-index: 1;
}
.signup-input__selectbox-list--open {
  display: block;
}
.signup-input__selectbox li {
  border-bottom: 1px solid #d9d9d9;
}
.signup-input__selectbox li:hover {
  background-color: #f8f8f8;
}
.signup-input__selectbox li a {
  font-size: 15px;
  font-weight: 400;
  line-height: 18px;
  letter-spacing: -0.32px;
  color: #aaaaaa;
  display: flex;
  justify-content: left;
  align-items: center;
  height: 48px;
  padding: 0 10px;
}

.signup-input__select {
  border-bottom: none;
}

/* signup input E */
.form-input__alert {
  padding: 10px 0;
  height: 33px;
}
.form-input__alert p{
  font-family: "Noto Sans", sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 18px;
  letter-spacing: -0.25999999046325684px;
  text-align: left;
}

.warn {
  color: #f33568;
}

.success {
  color: #00a6cc;
}


input[type=checkbox] {
  display:none;
}
input[type=checkbox] + label {
  cursor: pointer;
  padding-left: 23px;
  background-repeat: no-repeat;
  background-image: url('../img/square_check.svg');
}
input[type=checkbox]:checked + label {
  background-image: url('../img/square_checked.svg');
}
input[type=checkbox]:disabled + label {
  background-image: url('../img/square_check_disable.svg');
}


/*input[type=radio] {*/
/*  display:none;*/
/*}*/
/*input[type=radio] + label {*/
/*  cursor: pointer;*/
/*  padding-left: 23px;*/
/*  background-repeat: no-repeat;*/
/*  background-image: url('../img/circle_check.svg');*/
/*}*/
/*input[type=radio]:checked + label {*/
/*  background-image: url('../img/circle_checked.svg');*/
/*}*/
/*input[type=radio]:disabled + label {*/
/*  background-image: url('../img/circle_red_checked.svg');*/
/*}*/